Show / Hide Table of Contents

# Class Request

Http(s) request object

##### Inheritance

Object
RequestResponseBase
Request
ConnectRequest

##### Inherited Members

RequestResponseBase.BodyInternal
RequestResponseBase.KeepBody
RequestResponseBase.HttpVersion
RequestResponseBase.Headers
RequestResponseBase.ContentLength
RequestResponseBase.ContentEncoding
RequestResponseBase.Encoding
RequestResponseBase.ContentType
RequestResponseBase.IsChunked
RequestResponseBase.Body
RequestResponseBase.BodyString
RequestResponseBase.IsBodyRead
RequestResponseBase.ToString()
Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: Titanium.Web.Proxy.Http

###### Assembly: Titanium.Web.Proxy.dll

##### Syntax

    [TypeConverter(typeof(ExpandableObjectConverter))]
    public class Request : RequestResponseBase

### Properties

| Improve this Doc View Source

#### ExpectationFailed

Did server respond negatively for 100 continue request?

##### Declaration

    public bool ExpectationFailed { get; }

##### Property Value

Type | Description
--- | ---
Boolean |

| Improve this Doc View Source

#### ExpectationSucceeded

Did server respond positively for 100 continue request?

##### Declaration

    public bool ExpectationSucceeded { get; }

##### Property Value

Type | Description
--- | ---
Boolean |

| Improve this Doc View Source

#### ExpectContinue

Does this request has a 100-continue header?

##### Declaration

    public bool ExpectContinue { get; }

##### Property Value

Type | Description
--- | ---
Boolean |

| Improve this Doc View Source

#### HasBody

Has request body?

##### Declaration

    public override bool HasBody { get; }

##### Property Value

Type | Description
--- | ---
Boolean |

##### Overrides

RequestResponseBase.HasBody
| Improve this Doc View Source

#### HeaderText

Gets the header text.

##### Declaration

    public override string HeaderText { get; }

##### Property Value

Type | Description
--- | ---
String |

##### Overrides

RequestResponseBase.HeaderText
| Improve this Doc View Source

#### Host

Http hostname header value if exists. Note: Changing this does NOT change host in RequestUri. Users can set new RequestUri separately.

##### Declaration

    public string Host { get; set; }

##### Property Value

Type | Description
--- | ---
String |

| Improve this Doc View Source

#### IsHttps

Is Https?

##### Declaration

    public bool IsHttps { get; }

##### Property Value

Type | Description
--- | ---
Boolean |

| Improve this Doc View Source

#### IsMultipartFormData

Does this request contain multipart/form-data?

##### Declaration

    public bool IsMultipartFormData { get; }

##### Property Value

Type | Description
--- | ---
Boolean |

| Improve this Doc View Source

#### Method

Request Method.

##### Declaration

    public string Method { get; set; }

##### Property Value

Type | Description
--- | ---
String |

| Improve this Doc View Source

#### OriginalUrl

The original request Url.

##### Declaration

    public string OriginalUrl { get; set; }

##### Property Value

Type | Description
--- | ---
String |

| Improve this Doc View Source

#### RequestUri

Request HTTP Uri.

##### Declaration

    public Uri RequestUri { get; set; }

##### Property Value

Type | Description
--- | ---
Uri |

| Improve this Doc View Source

#### UpgradeToWebSocket

Does this request has an upgrade to websocket header?

##### Declaration

    public bool UpgradeToWebSocket { get; }

##### Property Value

Type | Description
--- | ---
Boolean |

| Improve this Doc View Source

#### Url

Request Url.

##### Declaration

    public string Url { get; }

##### Property Value

Type | Description
--- | ---
String |